<div *ngIf="data$ | async as data" class="wrapper">
  <div *ngIf="tableOptions$ | async as tableOptions">
    <app-data-table
      (addBtnClicked)="handleAddBtnClicked()"
      (linkBtnClicked)="handleLinkBtnClicked()"
      (filterChanged)="handleFilterChanged(tableOptions, $event)"
      (rowActionBtnClicked)="handleRowAction($event)"
      (tableOptionsChanged)="setTableOptions($event)"
      (radioBtnChecked)="handleRadioBtnSelect($event)"
      (sortDataList)="handleSortDataList($event)"
      [tableData]="data"
      [settings]="settings"
      [tableColumns]="columns"
      [tableFilterColumns]="filterColumns"
      [tableFilterValues]="filterValues"
      [tableOptions]="tableOptions"
      [sortBy]="sortBy">
      <ng-content *ngIf="settings.detailsRowId"></ng-content>
    </app-data-table>
  </div>
</div>
